<template>
  <v-row style="max-width: 800px">
    <v-col cols="1">
      <v-sheet color="transparent" class="rating">
        <v-btn color="transparent" block elevation="0" class="py-6 text-center"
          ><v-icon color="green">mdi-arrow-up</v-icon></v-btn
        >
        <div block elevation="0" class="py-6 text-center">778</div>
        <v-btn color="transparent" block elevation="0" class="py-6 text-center"
          ><v-icon color="red">mdi-arrow-down</v-icon></v-btn
        >
      </v-sheet>
    </v-col>
    <v-col cols="11" class="pl-0">
      <v-card class="mx-auto elevation-0" title="Заголовок">
        <v-card-text class="text-h5" v-text="`${text}`"> </v-card-text>

        <v-card-actions>
          <v-list-item class="w-100">
            <template #prepend>
              <v-avatar
                color="grey-darken-3"
                image="https://i.ytimg.com/vi/veeehDU82mQ/hqdefault_live.jpg"
              ></v-avatar>
            </template>

            <v-list-item-title>{{ author }}</v-list-item-title>

            <v-list-item-subtitle>{{ status }}</v-list-item-subtitle>

            <template #append>
              <div class="justify-self-end">
                <v-icon class="me-1" icon="mdi-bookmark-outline"></v-icon>
                <span class="subheading me-2">{{ saves }}</span>
                <v-icon class="me-1" icon="mdi-eye"></v-icon>
                <span class="subheading">{{ views }}</span>
              </div>
            </template>
          </v-list-item>
        </v-card-actions>
      </v-card>
    </v-col>
  </v-row>
</template>

<script>
export default {
  name: 'PostCard',
  props: {
    author: {
      type: String,
      default: () => 'Пользователь'
    },
    status: {
      type: String,
      default: () => 'В сети'
    },
    text: {
      type: String,
      default: () =>
        'Текст поста это текст nекст поста это текст nекст поста это текст nекст поста это текст'
    },
    rating: {
      type: Number,
      default: () => 778
    },
    views: {
      type: Number,
      default: () => 7
    },
    saves: {
      type: Number,
      default: () => 77
    }
  }
}
</script>

<style scoped></style>
